Page MenuHomePhabricator

rhg: Update the dirstate on disk after status
ClosedPublic

Authored by SimonSapin on Dec 2 2021, 11:48 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Dec 2 2021, 11:48 AM
Alphare requested changes to this revision.Dec 3 2021, 9:12 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
rust/rhg/src/commands/status.rs
476

I think we should add a comment here explaining why this racy code is not racy (because it's gated behind the mtime_boundary and any change that is caught in this boundary is discarded from this anyway).

This revision now requires changes to proceed.Dec 3 2021, 9:12 AM
SimonSapin updated this revision to Diff 31321.Dec 6 2021, 5:03 AM
SimonSapin updated this revision to Diff 31326.Dec 6 2021, 6:48 PM
SimonSapin added inline comments.Dec 7 2021, 4:07 AM
rust/rhg/src/commands/status.rs
476

This was actually missing all of the mtime_boundary logic since I had ported to Rust an earlier version of the Python code, without the recent changes that added mtime_boundary during ambiguous file resolution. This is fixed in the latest revision of this patch.

Alphare accepted this revision.Dec 7 2021, 9:59 AM
This revision is now accepted and ready to land.Dec 7 2021, 9:59 AM
This revision was automatically updated to reflect the committed changes.